Bug 714454 - [abrt] soundconverter-1.5.4-3.fc15: soundconverter:1982:generate_filename:KeyError: 'Voice, Lossless'
Summary: [abrt] soundconverter-1.5.4-3.fc15: soundconverter:1982:generate_filename:Key...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: soundconverter
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8685eff860f06b336dd4a9a0d4e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-19 11:12 UTC by marrako
Modified: 2011-06-29 21:53 UTC (History)
2 users (show)

Fixed In Version: soundconverter-1.5.4-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-29 21:53:22 UTC


Attachments (Terms of Use)

Description marrako 2011-06-19 11:12:43 UTC
abrt version: 2.0.1
architecture:   x86_64
cmdline:        
component:      soundconverter
event_log:      2011-06-19-00:15:37> The report was appended to /tmp/abrt.log
executable:     /usr/bin/soundconverter
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        soundconverter-1.5.4-3.fc15
reason:         soundconverter:1982:generate_filename:KeyError: 'Voice, Lossless'
reported_to:    file: /tmp/abrt.log
time:           Sun Jun 19 00:15:04 2011
uid:            500
username:       maspo

backtrace:
:soundconverter:1982:generate_filename:KeyError: 'Voice, Lossless'
:
:Traceback (most recent call last):
:  File "/usr/bin/soundconverter", line 2061, in on_into_selected_folder_toggled
:    self.update_example()
:  File "/usr/bin/soundconverter", line 1946, in update_example
:    s = markup_escape(beautify_uri(self.generate_filename(sound_file, for_display=True)))
:  File "/usr/bin/soundconverter", line 1982, in generate_filename
:    profile_ext = audio_profiles_dict[profile][1] if profile else ''
:KeyError: 'Voice, Lossless'
:
:Local variables in innermost frame:
:profile: 'Voice, Lossless'
:output_type: 'gst-profile'
:sound_file: <__main__.SoundFile instance at 0x2f526c8>
:self: <__main__.PreferencesDialog object at 0x2f50d90>
:for_display: True

Comment 1 Michael Schwendt 2011-06-19 12:54:33 UTC
What do you get if you run the following three commands in your user's terminal?

rpm -V libgnome-media-profiles
gconftool-2 --get /system/gstreamer/0.10/audio/global/profile_list
gconftool-2 -a /system/gstreamer/0.10/audio/profiles/voicelossy

Comment 2 Michael Schwendt 2011-06-19 13:05:03 UTC
Third command should be:
gconftool-2 -a /system/gstreamer/0.10/audio/profiles/voicelossless

Comment 3 marrako 2011-06-20 15:44:45 UTC
1.
_________________________________________________
[maspo@maspo ~]$ rpm -V libgnome-media-profiles~
package libgnome-media-profiles~ is not installed
_________________________________________________

2.
__________________________________________________________
[maspo@maspo ~]$ gconftool-2 --get /system/gstreamer/0.10/audio/global/profile_list
[cdlossy,cdlossless,aac,mp2,mp3,voicelossy,voicelossless]
__________________________________________________________

3.
____________________________________________________________________________
[maspo@maspo ~]$ gconftool-2 -a /system/gstreamer/0.10/audio/profiles/voicelossless
 active = true
 description = Naudojama konvertuojant į nenuostolingą balso kokybės garsą. Naudokite šį profilį kalbos įrašymui ir taisymui.
 pipeline = audio/x-raw-int,rate=22050,channels=1 ! wavenc name=enc
 extension = wav
 name = Balsas, nenuostolingas
____________________________________________________________________________

Comment 4 Michael Schwendt 2011-06-20 18:16:20 UTC
What language is that? Lithuanian?

Simply starting Soundconverter in a non-English locale here makes it crash in the same way, e.g.
$ LC_ALL=lt_LT.UTF-8 soundconverter

If it somewhere uses 'Voice, Lossless' as a dictionary key, but the translated one is 'Balsas, nenuostolingas', that breaks somewhere.

Comment 5 Fedora Update System 2011-06-21 11:12:43 UTC
soundconverter-1.5.4-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/soundconverter-1.5.4-4.fc15

Comment 6 marrako 2011-06-21 18:29:18 UTC
Update fixed my problem. THX!

Comment 7 Fedora Update System 2011-06-21 23:54:29 UTC
Package soundconverter-1.5.4-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing soundconverter-1.5.4-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/soundconverter-1.5.4-4.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-06-29 21:53:16 UTC
soundconverter-1.5.4-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.